* Models from The Dynamics of Public Confidence

* Wolak, Jennifer, and Christine Kelleher Palus.  2010.  The Dynamics of Public Confidence in U.S. 
* State and Local Government. State Politics and Policy Quarterly 10(4): 421-445.

gen t=_n
tsset t

* Models in Table 1
regress d.state3 l.state3 d.national l.national 
regress d.state3 l.state3 d.national l.national d.local4 l.local4
regress d.local4 l.local4 d.national l.national 
regress d.local4 l.local4 d.state3 l.state3 d.national l.national 

* Models in Table 2
regress d.state3 l.state3 d.happy l.happy d.mood l.mood d.ics l.ics
regress d.local4 l.local4 d.happy l.happy d.mood l.mood d.ics l.ics 

* models in Table 3
regress d.state3 l.state3 d.tostatelocal4 l.tostatelocal4 d.sfiscal l.sfiscal d.slemp2 l.slemp2
regress d.local4 l.local4 d.tostatelocal4 l.tostatelocal4 d.lfiscal l.lfiscal d.slemp2 l.slemp2

regress d.state3 l.state3 d.ratecom l.ratecom d.scap l.scap
regress d.local4 l.local4 d.ratecom l.ratecom d.scap l.scap


* Bewley Transformation to assess total dynamic effects
* ivreg y x d.x (d.y = x l.x l.y)

ivreg state3 national d.national (d.state3 = national l.national l.state3)
ivreg state3 national d.national local4 d.local4 (d.state3 = national l.national local4 l.local4 l.state3)

ivreg local4 national d.national (d.local4 = national l.national l.local4)
ivreg local4 national d.national state3 d.state3 (d.local4 = national l.national state3 l.state3 l.local4)

ivreg state3 happy d.happy mood d.mood ics d.ics (d.state3 = happy l.happy mood l.mood ics l.ics l.state3)
ivreg local4 happy d.happy mood d.mood ics d.ics (d.local4 = happy l.happy mood l.mood ics l.ics l.local4)

ivreg state3 tostatelocal4 d.tostatelocal4 sfiscal d.sfiscal slemp2 d.slemp2 (d.state3 = tostatelocal4 l.tostatelocal4 sfiscal l.sfiscal slemp2 l.slemp2 l.state3)
ivreg local4 tostatelocal4 d.tostatelocal4 lfiscal d.lfiscal slemp2 d.slemp2 (d.local4 = tostatelocal4 l.tostatelocal4 lfiscal l.lfiscal slemp2 l.slemp2 l.local4)
* there is a minor error in footnote 16, those numbers based on an earlier version of the dataset.

ivreg state3 ratecom d.ratecom scap d.scap (d.state3 = ratecom l.ratecom scap l.scap l.state3)
ivreg local4 ratecom d.ratecom scap d.scap (d.local4 = ratecom l.ratecom scap l.scap l.local4)
